Bug 215704 - Gaim : Yahoo account adding Buddy failed
Gaim : Yahoo account adding Buddy failed
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gaim (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-15 04:42 EST by Yan Tian
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-09 08:39:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot-BuddyList.png (20.40 KB, image/png)
2006-11-15 04:44 EST, Yan Tian
no flags Details

  None (edit)
Description Yan Tian 2006-11-15 04:42:35 EST
Description of problem:
Log into Yahoo accounts 'fedoraforce' and 'qe_bj' at two test machines. Click
'Buddies'->'Add Buddy...' to add buddy each other. Both accounts don't receive
deny/accept messages. Show another account 'Not on server list'. In fact they
are all avaliable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Yan Tian 2006-11-15 04:44:20 EST
Created attachment 141243 [details]
Comment 2 Michal Babej 2006-11-15 08:51:26 EST
also appears using gaim-2.0.0-0.17.beta4.fc6 However, sending/receiving messages
works, only the status is displayed wrong. Might be a change in Yahoo protocol
or what-the-hell.
Comment 3 Warren Togami 2006-11-15 11:16:49 EST

(Upstream, any idea about this issue?)
Comment 4 Luke Schierer 2006-11-15 11:23:17 EST
Tim was looking at supporting the msn<->yahoo integration, I think that caused this.
Comment 5 Warren Togami 2006-11-15 11:29:37 EST
MSN<->Yahoo integration!?  Wow.
Comment 6 Stu Tomlinson 2006-11-15 11:40:39 EST
Gaim beta4 tries to support a newer yahoo protocol, we believe this is the cause
of these problems. beta5 reverted to the older protocol version. This is the
patch if you want to backport it to beta4:

Comment 7 Warren Togami 2006-11-15 18:10:56 EST
I added this patch to FC7.  I want to have more fixes before pushing this to FC6
Comment 8 RHEL Product and Program Management 2006-11-16 03:20:42 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 9 Nicole Dai 2007-01-09 08:37:46 EST
Verified the bug has been fixed in gaim-2.0.0-0.28.beta5.el5 on
RHEL5-Client-20061226.nightly. The Buddy in one Yahoo account can be added to
another Yahoo account successfully. 

Resolve the bug now. Pls feel free to reopen this bug report if the solution
does not work for you.

Note You need to log in before you can comment on or make changes to this bug.